Bug 9043 - perldoc fails when run as root
: perldoc fails when run as root
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/perldoc)
: unstable
: all Linux
: P2 major
Assigned To:
:
: http://lists.altlinux.org/pipermail/d...
:
:
: 19389
  Show dependency tree
 
Reported: 2006-02-09 10:09 by
Modified: 2012-10-07 20:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-02-09 10:09:19
$perldoc perldoc
Error while formatting with Pod::Perldoc::ToMan:
 Insecure dependency in `` while running with -T switch at
/usr/lib/perl5/vendor_perl/Pod/Perldoc/ToMan.pm line 103.

Got a 0-length file from /usr/lib/perl5/pod/perldoc.pod via Pod::Perldoc::ToMan!?
------- Comment #1 From 2006-02-09 15:46:45 -------
У меня работает нормально, и в host-системе, и в hasher'е.
------- Comment #2 From 2006-02-09 15:53:20 -------
О!
Оказывается это только на x86_64 !!!

Кто бы это починил ? а то я без документации по перлу врятли смогу программы на
перле чинить ;(
------- Comment #3 From 2006-02-09 15:54:41 -------
Опять вру.. оно под рутом не работает :(

О чём написано в perldoc, который прочитать можно только запустив perldoc.
------- Comment #4 From 2006-02-09 15:56:40 -------
в общем это выглядит так, что под рутом оно должно сбрасывать свои привилегии..
но  этого похоже не происходит.
------- Comment #5 From 2006-02-09 16:10:42 -------
От рута в хост-системе действительно не работает.
А так работает: hsh-run --root ~/build perldoc perldoc

От обычного пользователя работает везде.
------- Comment #6 From 2007-04-07 20:40:44 -------
ping
------- Comment #7 From 2010-10-15 00:42:45 -------
Виноват глючный perldoc-3.14-alt-man-cache.patch, без него работает.
------- Comment #8 From 2010-11-14 02:23:26 -------
perldoc-3.15-alt1 -> sisyphus:

* Sun Nov 07 2010 Vladimir Lettiev <crux@altlinux> 3.15-alt1
- new version 3.15
- dropped patches (Closes: #9043)
- rebuilt with perl 5.12
------- Comment #9 From 2012-10-07 20:08:49 -------
*** Bug 19389 has been marked as a duplicate of this bug. ***